{ ... }:
{
   nix.settings = {
    experimental-features = [ "nix-command" "flakes" ];
    substituters = [
      "https://hyprland.cachix.org"
      "https://cache.nixos.org/"
    ];
    trusted-substituters = [
      "https://ai.cachix.org"
      "https://hyprland.cachix.org"
      "https://cache.nixos.org/"
    ];
    trusted-public-keys = [
      "hyprland.cachix.org-1:a7pgxzMz7+chwVL3/pzj6jIBMioiJM7ypFP8PwtkuGc="
      "ai.cachix.org-1:N9dzRK+alWwoKXQlnn0H6aUx0lU/mspIoz8hMvGvbbc="
      "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
    ];
    # allowed-users = *;
    trusted-users = [ "root" "wayne" ];
    cores = 12;
    max-jobs = 4;  # Adjust this to your CPU core count or slightly below
    auto-optimise-store = true;
    access-tokens = "nas.local/git=PAT:glpat-bfbAJxv_4tmgySBZcPSZ";
  };
  nixpkgs.config = {
    allowUnfree = true;
    cudaSupport = true;
    acceptedLicenses = [
      "unfree"
      "unfreeRedistributable"
    ];
    permittedInsecurePackages = [
      "freeimage-unstable-2021-11-01"
    ];
  };
}
